Resources
Authorization
apiKey API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Query Parameters
Workspace name. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must match the key's workspace.
^(?!ws[-_])[a-z0-9](-?[a-z0-9])*$4 <= length <= 100Filter by project ID or name.
length <= 100Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v1/resources?project=my-project"{ "resources": [ { "resourceType": "string", "resourceId": "string", "name": "string", "backend": "string", "controllerPlatform": "string", "health": "string", "lifecycle": "string", "message": "string", "partial": true, "providerStale": true, "platformStale": true, "desiredCount": 0, "currentCount": 0, "readyCount": 0, "deploymentCount": 0, "attentionCount": 0, "lastObservedAt": "2019-08-24T14:15:22Z", "source": "managed", "deploymentId": "string", "deploymentName": "string" } ]}Authorization
apiKey API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Path Parameters
Value in
- "container"
- "worker"
- "daemon"
- "ai"
Query Parameters
Workspace name. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must match the key's workspace.
^(?!ws[-_])[a-z0-9](-?[a-z0-9])*$4 <= length <= 100Filter by project ID or name.
length <= 100Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v1/resources/container?project=my-project"{ "resources": [ { "resourceType": "string", "resourceId": "string", "name": "string", "backend": "string", "controllerPlatform": "string", "health": "string", "lifecycle": "string", "message": "string", "partial": true, "providerStale": true, "platformStale": true, "desiredCount": 0, "currentCount": 0, "readyCount": 0, "deploymentCount": 0, "attentionCount": 0, "lastObservedAt": "2019-08-24T14:15:22Z" } ]}Authorization
apiKey API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Path Parameters
Value in
- "container"
- "worker"
- "daemon"
- "ai"
Query Parameters
Workspace name. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must match the key's workspace.
^(?!ws[-_])[a-z0-9](-?[a-z0-9])*$4 <= length <= 100Filter by project ID or name.
length <= 100Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v1/resources/container/string/deployments?project=my-project"{ "resourceType": "string", "resourceId": "string", "deployments": [ { "deploymentId": "string", "deploymentName": "string", "deploymentGroupId": "string", "deploymentGroupName": "string", "resourceType": "string", "resourceId": "string", "backend": "string", "controllerPlatform": "string", "health": "string", "lifecycle": "string", "message": "string", "partial": true, "providerStale": true, "platformStale": true, "desiredCount": 0, "currentCount": 0, "readyCount": 0, "observedAt": "2019-08-24T14:15:22Z" } ]}Authorization
apiKey API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Path Parameters
Value in
- "container"
- "worker"
- "daemon"
- "ai"
Query Parameters
Workspace name. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must match the key's workspace.
^(?!ws[-_])[a-z0-9](-?[a-z0-9])*$4 <= length <= 100Filter by project ID or name.
length <= 100Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v1/resources/container/deployments/string/string?project=my-project"{ "deployment": { "deploymentId": "string", "deploymentName": "string", "deploymentGroupId": "string", "deploymentGroupName": "string", "resourceType": "string", "resourceId": "string", "backend": "string", "controllerPlatform": "string", "health": "string", "lifecycle": "string", "message": "string", "partial": true, "providerStale": true, "platformStale": true, "desiredCount": 0, "currentCount": 0, "readyCount": 0, "observedAt": "2019-08-24T14:15:22Z", "desiredImage": "string" }, "heartbeat": { "status": "available", "deploymentId": "string", "resourceId": "string", "resourceType": "string", "backend": "string", "controllerPlatform": "string", "observedAt": "2019-08-24T14:15:22Z", "staleAt": "2019-08-24T14:15:22Z", "platformStale": true, "heartbeat": { "backend": "aws", "controllerPlatform": "aws", "data": { "data": { "blockPublicAcls": true, "blockPublicPolicy": true, "bucketAclPresent": true, "bucketLocation": "string", "bucketPolicyPresent": true, "encryptionConfigPresent": true, "encryptionEnabled": true, "ignorePublicAcls": true, "lifecyclePresent": true, "lifecycleRuleCount": 0, "name": "string", "publicAccessBlockPresent": true, "region": "string", "restrictPublicBuckets": true, "status": { "collectionIssues": [ { "message": "string", "reason": "forbidden", "severity": "info", "source": "string" } ], "health": "unknown", "lifecycle": "unknown", "message": "string", "partial": true, "stale": true }, "versioningEnabled": true, "versioningStatus": "string", "backend": "awsS3" }, "resourceType": "storage" }, "deploymentId": "string", "observedAt": "2019-08-24T14:15:22Z", "raw": [ { "body": "string", "collectedAt": "2019-08-24T14:15:22Z", "format": "json", "source": "string", "truncated": true } ], "resourceId": "string", "resourceType": "string" }, "raw": [ null ] }}